namespace BPA.MES.Base.Core
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/3/4 9:51:33 
    /// 描    述 ：  
    /// </summary>
    public static class EmptyExtensions
    {
        public static bool HasVal<T>(this T obj)
        {
            if (obj != null)
            {
                return !obj.Equals(default(T));
            }

            return false;
        }
    }
}
